Index: protocols/skype/t/call-skyped.mock
===================================================================
--- protocols/skype/t/call-skyped.mock	(revision daac7551001c309f1d9d6ac25361398f0bd2b471)
+++ protocols/skype/t/call-skyped.mock	(revision f6cab7cfccdb6ed517aaaa458482ea465c6c9fd7)
@@ -2,5 +2,5 @@
 << GROUPS 48, 49
 >> SEARCH FRIENDS
-<< USERS echo123, bob, bitlbee-skype
+<< USERS echo123, bob
 >> SET USERSTATUS ONLINE
 << USERSTATUS ONLINE
@@ -11,6 +11,4 @@
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
->> GET USER bitlbee-skype ONLINESTATUS
-<< USER bitlbee-skype ONLINESTATUS OFFLINE
 >> CALL bob
 << CALL 178 STATUS UNPLACED
Index: protocols/skype/t/called-no-bitlbee.mock
===================================================================
--- protocols/skype/t/called-no-bitlbee.mock	(revision f6cab7cfccdb6ed517aaaa458482ea465c6c9fd7)
+++ protocols/skype/t/called-no-bitlbee.mock	(revision f6cab7cfccdb6ed517aaaa458482ea465c6c9fd7)
@@ -0,0 +1,10 @@
+>> NOTICE AUTH
+<< NICK alice
+<< USER alice alice localhost :Alice
+>> PRIVMSG &bitlbee
+<< PRIVMSG &bitlbee :account add skype alice foo
+<< PRIVMSG &bitlbee :account skype on
+>> PRIVMSG &bitlbee :skype - New request: The user bob is currently ringing you.
+<< PRIVMSG &bitlbee :no
+>> PRIVMSG &bitlbee :skype - Rejected: The user bob is currently ringing you.
+>> PRIVMSG &bitlbee :skype - You refused the call from user bob.
Index: protocols/skype/t/called-no-skyped.mock
===================================================================
--- protocols/skype/t/called-no-skyped.mock	(revision f6cab7cfccdb6ed517aaaa458482ea465c6c9fd7)
+++ protocols/skype/t/called-no-skyped.mock	(revision f6cab7cfccdb6ed517aaaa458482ea465c6c9fd7)
@@ -0,0 +1,20 @@
+>> SEARCH GROUPS CUSTOM
+<< GROUPS 48, 49
+>> SEARCH FRIENDS
+<< USERS echo123, bob
+>> SET USERSTATUS ONLINE
+<< USERSTATUS ONLINE
+>> SET USERSTATUS ONLINE
+<< USERSTATUS ONLINE
+>> GET USER echo123 ONLINESTATUS
+<< USER echo123 ONLINESTATUS ONLINE
+>> GET USER bob ONLINESTATUS
+<< USER bob ONLINESTATUS ONLINE
+<< CALL 212 CONF_ID 0
+<< CALL 212 STATUS RINGING
+>> GET CALL 212 PARTNER_HANDLE
+<< CALL 212 PARTNER_HANDLE bob
+>> SET CALL 212 STATUS FINISHED
+<< CALL 212 STATUS REFUSED
+>> GET CALL 212 PARTNER_HANDLE
+<< CALL 212 PARTNER_HANDLE bob
Index: protocols/skype/t/info-skyped.mock
===================================================================
--- protocols/skype/t/info-skyped.mock	(revision daac7551001c309f1d9d6ac25361398f0bd2b471)
+++ protocols/skype/t/info-skyped.mock	(revision f6cab7cfccdb6ed517aaaa458482ea465c6c9fd7)
@@ -2,5 +2,5 @@
 << GROUPS 48, 49
 >> SEARCH FRIENDS
-<< USERS echo123, bob, bitlbee-skype
+<< USERS echo123, bob
 >> SET USERSTATUS ONLINE
 << USERSTATUS ONLINE
@@ -11,6 +11,4 @@
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
->> GET USER bitlbee-skype ONLINESTATUS
-<< USER bitlbee-skype ONLINESTATUS OFFLINE
 >> GET USER bob FULLNAME
 << USER bob FULLNAME Bob
Index: protocols/skype/t/login-skyped.mock
===================================================================
--- protocols/skype/t/login-skyped.mock	(revision daac7551001c309f1d9d6ac25361398f0bd2b471)
+++ protocols/skype/t/login-skyped.mock	(revision f6cab7cfccdb6ed517aaaa458482ea465c6c9fd7)
@@ -2,5 +2,5 @@
 << GROUPS 48, 49
 >> SEARCH FRIENDS
-<< USERS echo123, bob, bitlbee-skype
+<< USERS echo123, bob
 >> SET USERSTATUS ONLINE
 << USERSTATUS ONLINE
@@ -11,4 +11,2 @@
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
->> GET USER bitlbee-skype ONLINESTATUS
-<< USER bitlbee-skype ONLINESTATUS OFFLINE
Index: protocols/skype/t/msg-skyped.mock
===================================================================
--- protocols/skype/t/msg-skyped.mock	(revision daac7551001c309f1d9d6ac25361398f0bd2b471)
+++ protocols/skype/t/msg-skyped.mock	(revision f6cab7cfccdb6ed517aaaa458482ea465c6c9fd7)
@@ -2,5 +2,5 @@
 << GROUPS 48, 49
 >> SEARCH FRIENDS
-<< USERS echo123, bob, bitlbee-skype
+<< USERS echo123, bob
 >> SET USERSTATUS ONLINE
 << USERSTATUS ONLINE
@@ -11,6 +11,4 @@
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
->> GET USER bitlbee-skype ONLINESTATUS
-<< USER bitlbee-skype ONLINESTATUS OFFLINE
 >> MESSAGE bob foo
 << CHATMESSAGE 290 STATUS SENDING
